//////////////////
//LockPick Item///
//////////////////
//Datablocks//////
//////////////////
/////v3/:})///////
/////////////////

//event stuff
registerInputEvent(fxDTSBrick, OnLockPickHit,"Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection" TAB "Minigame Minigame");
//end>

datablock AudioProfile(DoorPickSound1)
{
    fileName = $DS::Path @ "./sounds/picklock-01.wav";
    description = AudioClosest3d;
    preload = true;
};
datablock AudioProfile(DoorPickSound2)
{
    fileName = $DS::Path @ "./sounds/picklock-02.wav";
    description = AudioClosest3d;
    preload = true;
};
datablock AudioProfile(DoorPickSound3)
{
    fileName = $DS::Path @ "./sounds/picklock-03.wav";
    description = AudioClosest3d;
    preload = true;
};
//MISC Sounds For Doors <
datablock AudioProfile(DoorJiggle)
{
    fileName = $DS::Path @ "./sounds/door_jiggle.wav";
    description = AudioClosest3d;
    preload = false;
};
datablock AudioProfile(DoorLock)
{
    fileName = $DS::Path @ "./sounds/Lock.wav";
    description = AudioClosest3d;
    preload = false;
};
datablock AudioProfile(DoorUnlock)
{
    fileName = $DS::Path @ "./sounds/Unlock.wav";
    description = AudioClosest3d;
    preload = false;
};
//>

datablock ProjectileData(LockPickProjectile : hammerProjectile)
{
	directDamage = 0;
	lifeTime = 100;
	explodeOnDeath = false;
};

datablock ItemData(LockPickItem : HammerItem)
{
	shapeFile = "./shapes/Lockpick.dts";
	category = "Weapon";
	className = "Weapon";
	uiName = "Lock Pick";
	canDrop = true;
	image = LockPickImage;
	doColorShift = true;
	colorShiftColor = "0.400 0.196 0 1.000";
};

datablock ShapeBaseImageData(LockPickImage : HammerImage)
{
	shapeFile = "./shapes/Lockpick.dts";
	className = "WeaponImage";
	item = LockPickItem;
	projectile = LockPickProjectile;
	projectileType = Projectile;
	doColorShift = true;
	colorShiftColor = "0.400 0.196 0 1.000";
};

///////////////////////////////////
//// >> LockPick Functions << ////
//////////////////////////////////

function LockPickImage::onFire(%datablock, %obj, %slot)
{
    %obj.playAudio(0, "DoorPickSound" @getRandom(1, 3));
    parent::onFire(%datablock, %obj, %slot);
	%obj.playThread(2, "armAttack");
}

function LockPickImage::onStopFire(%datablock, %obj, %slot)
{
	%obj.playThread(2, "root");
}

package LockPickPackage
{
    function LockPickprojectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{
        parent::onCollision(%this,%bj,%col,%fade,%pos,%normal);
        if (%col.getClassName() $= "fxDTSBrick")
	{
		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;
            if ($Server::LAN)
		{
			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);
        }
        else
        {
                if (getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))
                {
				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);
                }
                else
                {
				$InputTarget_["MiniGame"] = 0;
                }
            }
        %col.processInputEvent(OnLockPickHit,%obj.client);
        }
    }
};
activatePackage(LockPickPackage);